# define 3 factors samplings
N = 75
v1 = fast99(model=NULL,factors=OF.caractFactor$name,n=N,q='qunif',q.arg=OF.bounds1)
v2 = fast99(model=NULL,factors=OF.caractFactor$name,n=N,q='qunif',q.arg=OF.bounds2)
v3 = fast99(model=NULL,factors=OF.caractFactor$name,n=N,q='qunif',q.arg=OF.bounds3)

# plot factors sampling
pdf(paste(OF.dirBase,"fast99-factor-sampling-1.pdf",sep=""))
plot(v1$X)
dev.off()

# launch of the multi-simulation set #1
outRS3.1    = OF.multiRun(v1$X,"QH",1,FALSE)
flowOutlet1 = outRS3.1[,1]
waterLevel1 = outRS3.1[,2]
# plot outputs distribution
pdf(paste(OF.dirBase,"hist-R-MHYDAS-RS3-1.pdf",sep=""))
hist(flowOutlet1)
hist(waterLevel1)
dev.off()

# launch of the multi-simulation set #2
outRS3.2    = OF.multiRun(v2$X,"QH",1,FALSE)
flowOutlet2 = outRS3.2[,1]
waterLevel2 = outRS3.2[,2]
# plot outputs distribution
pdf(paste(OF.dirBase,"hist-R-MHYDAS-RS3-2.pdf",sep=""))
hist(flowOutlet2)
hist(waterLevel2)
dev.off()

# launch of the multi-simulation set #3
outRS3.3    = OF.multiRun(v3$X,"QH",1,FALSE)
flowOutlet3 = outRS3.3[,1]
waterLevel3 = outRS3.3[,2]
# plot outputs distribution
pdf(paste(OF.dirBase,"hist-R-MHYDAS-RS3-3.pdf",sep=""))
hist(flowOutlet3)
hist(waterLevel3)
dev.off()

# statistical uncertainty analysis for water level RS3
quantile(waterLevel1, probs = c(0.05,0.5,0.95))
quantile(waterLevel2, probs = c(0.05,0.5,0.95))
quantile(waterLevel3, probs = c(0.05,0.5,0.95))
# statistical uncertainty analysis for flow at catchment outlet
quantile(flowOutlet1, probs = c(0.05,0.5,0.95))
quantile(flowOutlet2, probs = c(0.05,0.5,0.95))
quantile(flowOutlet3, probs = c(0.05,0.5,0.95))
