# definition of the function running OpenFLUID with width of RS3 mean celerity as unknown variables
OF.singleRun <- function(X,ref) {

    # redefine simulator parameters and input data according to vector X
    OpenFLUID.setSimulatorParam(OF.simu,"water.surf.transfer-rs.hayami","meancel",X[1])
    OpenFLUID.setAttribute(OF.simu,"RS",3,"width",X[2])
    
    # run of OpenFLUID with new simulator parameters and input data
    OpenFLUID.addVariablesExportAsCSV(OF.simu,'RS')
    OpenFLUID.runSimulation(OF.simu)

    # choice of output variables
    outOF = OpenFLUID.loadResult(OF.simu,"RS",3,"water.surf.H.level-rs")
    out   = sqrt(sum((outOF[,2]-ref[,2])**2))
    print(paste("simulation : meancell = ",X[1]," width = ",X[2]," // RMSE = ",out,sep=" "))
    return(out)
}
